ru.bitel.bgbilling.kernel.network.radius

## Class MSUtils

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.radius.MSUtils

-     public class MSUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MS_acct_auth_type`
    `static int` | `MS_acct_eap_type`
    `static int` | `MS_arap_challenge`
    `static int` | `MS_arap_password_change_reason`
    `static int` | `MS_bap_usage`
    `static int` | `MS_chap_challenge`
    `static int` | `MS_chap_cpw_1`
    `static int` | `MS_chap_cpw_2`
    `static int` | `MS_chap_domain`
    `static int` | `MS_chap_error`
    `static int` | `MS_chap_lm_enc_pw`
    `static int` | `MS_chap_mppe_keys`
    `static int` | `MS_chap_nt_enc_pw`
    `static int` | `MS_chap_response`
    `static int` | `MS_chap2_cpw`
    `static int` | `MS_chap2_response`
    `static int` | `MS_chap2_success`
    `static int` | `MS_filter`
    `static int` | `MS_framed_encryption_type`
    `static int` | `MS_link_drop_time_limit`
    `static int` | `MS_link_utilization_threshold`
    `static int` | `MS_mppe_encryption_policy`
    `static int` | `MS_mppe_encryption_types`
    `static int` | `MS_mppe_recv_key`
    `static int` | `MS_mppe_send_key`
    `static int` | `MS_new_arap_password`
    `static int` | `MS_old_arap_password`
    `static int` | `MS_primary_dns_server`
    `static int` | `MS_primary_nbns_server`
    `static int` | `MS_ras_vendor`
    `static int` | `MS_ras_version`
    `static int` | `MS_secondary_dns_server`
    `static int` | `MS_secondary_nbns_server`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addMppeKeys(RadiusAttributeSet request, RadiusAttributeSet response, byte[] sendKey, byte[] receiveKey, byte[] secret, byte[] authenticator, boolean addTypesAndPolicy)`
    `static byte[]` | `checkMSChapV2Password(byte[] challenge, byte[] peerChallenge, byte[] ntResponse, java.lang.String userName, java.lang.String userPassword, java.lang.String welcome)`
    `static boolean` | `checkMSChapV2Password(RadiusAttributeSet request, RadiusAttributeSet response, java.lang.String openPassword, byte[] secret, byte[] authenticator, boolean addTypesAndPolicy)`
    `static boolean` | `checkMSChapV2Password(RadiusAttributeSet request, RadiusAttributeSet response, java.lang.String openPassword, byte[] secret, byte[] authenticator, boolean addTypesAndPolicy, boolean ident)`
    `static byte[]` | `cryptMppeKey(byte[] key, byte[] secret, byte[] requestAuth)`
    `static byte[]` | `mppeKey(byte[] masterKey, boolean isSend, byte[] requestAuth, byte[] secret)`
    `static byte[]` | `mppeKey(byte[] masterKey, int startKeyLen, boolean isSend, boolean isServer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MS_chap_response

          public static final int MS_chap_response

      See Also:
        Constant Field Values

    - #### MS_chap_error

          public static final int MS_chap_error

      See Also:
        Constant Field Values

    - #### MS_chap_cpw_1

          public static final int MS_chap_cpw_1

      See Also:
        Constant Field Values

    - #### MS_chap_cpw_2

          public static final int MS_chap_cpw_2

      See Also:
        Constant Field Values

    - #### MS_chap_lm_enc_pw

          public static final int MS_chap_lm_enc_pw

      See Also:
        Constant Field Values

    - #### MS_chap_nt_enc_pw

          public static final int MS_chap_nt_enc_pw

      See Also:
        Constant Field Values

    - #### MS_mppe_encryption_policy

          public static final int MS_mppe_encryption_policy

      See Also:
        Constant Field Values

    - #### MS_mppe_encryption_types

          public static final int MS_mppe_encryption_types

      See Also:
        Constant Field Values

    - #### MS_ras_vendor

          public static final int MS_ras_vendor

      See Also:
        Constant Field Values

    - #### MS_chap_domain

          public static final int MS_chap_domain

      See Also:
        Constant Field Values

    - #### MS_chap_challenge

          public static final int MS_chap_challenge

      See Also:
        Constant Field Values

    - #### MS_chap_mppe_keys

          public static final int MS_chap_mppe_keys

      See Also:
        Constant Field Values

    - #### MS_bap_usage

          public static final int MS_bap_usage

      See Also:
        Constant Field Values

    - #### MS_link_utilization_threshold

          public static final int MS_link_utilization_threshold

      See Also:
        Constant Field Values

    - #### MS_link_drop_time_limit

          public static final int MS_link_drop_time_limit

      See Also:
        Constant Field Values

    - #### MS_mppe_send_key

          public static final int MS_mppe_send_key

      See Also:
        Constant Field Values

    - #### MS_mppe_recv_key

          public static final int MS_mppe_recv_key

      See Also:
        Constant Field Values

    - #### MS_old_arap_password

          public static final int MS_old_arap_password

      See Also:
        Constant Field Values

    - #### MS_ras_version

          public static final int MS_ras_version

      See Also:
        Constant Field Values

    - #### MS_new_arap_password

          public static final int MS_new_arap_password

      See Also:
        Constant Field Values

    - #### MS_arap_password_change_reason

          public static final int MS_arap_password_change_reason

      See Also:
        Constant Field Values

    - #### MS_filter

          public static final int MS_filter

      See Also:
        Constant Field Values

    - #### MS_acct_auth_type

          public static final int MS_acct_auth_type

      See Also:
        Constant Field Values

    - #### MS_acct_eap_type

          public static final int MS_acct_eap_type

      See Also:
        Constant Field Values

    - #### MS_chap2_response

          public static final int MS_chap2_response

      See Also:
        Constant Field Values

    - #### MS_chap2_success

          public static final int MS_chap2_success

      See Also:
        Constant Field Values

    - #### MS_chap2_cpw

          public static final int MS_chap2_cpw

      See Also:
        Constant Field Values

    - #### MS_primary_dns_server

          public static final int MS_primary_dns_server

      See Also:
        Constant Field Values

    - #### MS_secondary_dns_server

          public static final int MS_secondary_dns_server

      See Also:
        Constant Field Values

    - #### MS_primary_nbns_server

          public static final int MS_primary_nbns_server

      See Also:
        Constant Field Values

    - #### MS_secondary_nbns_server

          public static final int MS_secondary_nbns_server

      See Also:
        Constant Field Values

    - #### MS_arap_challenge

          public static final int MS_arap_challenge

      See Also:
        Constant Field Values

    - #### MS_framed_encryption_type

          public static final int MS_framed_encryption_type

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MSUtils

          public MSUtils()

  - ### Method Detail

    - #### addMppeKeys

          public static void addMppeKeys(RadiusAttributeSet request,
                                         RadiusAttributeSet response,
                                         byte[] sendKey,
                                         byte[] receiveKey,
                                         byte[] secret,
                                         byte[] authenticator,
                                         boolean addTypesAndPolicy)
                                  throws java.security.NoSuchAlgorithmException

      Throws:
        `java.security.NoSuchAlgorithmException`

    - #### mppeKey

          public static byte[] mppeKey(byte[] masterKey,
                                       int startKeyLen,
                                       boolean isSend,
                                       boolean isServer)

    - #### mppeKey

          public static byte[] mppeKey(byte[] masterKey,
                                       boolean isSend,
                                       byte[] requestAuth,
                                       byte[] secret)

    - #### cryptMppeKey

          public static final byte[] cryptMppeKey(byte[] key,
                                                  byte[] secret,
                                                  byte[] requestAuth)

    - #### checkMSChapV2Password

          public static byte[] checkMSChapV2Password(byte[] challenge,
                                                     byte[] peerChallenge,
                                                     byte[] ntResponse,
                                                     java.lang.String userName,
                                                     java.lang.String userPassword,
                                                     java.lang.String welcome)
                                              throws java.io.UnsupportedEncodingException,
                                                     java.lang.Exception

      Throws:
        `java.io.UnsupportedEncodingException`
        `java.lang.Exception`

    - #### checkMSChapV2Password

          public static boolean checkMSChapV2Password(RadiusAttributeSet request,
                                                      RadiusAttributeSet response,
                                                      java.lang.String openPassword,
                                                      byte[] secret,
                                                      byte[] authenticator,
                                                      boolean addTypesAndPolicy)

    - #### checkMSChapV2Password

          public static boolean checkMSChapV2Password(RadiusAttributeSet request,
                                                      RadiusAttributeSet response,
                                                      java.lang.String openPassword,
                                                      byte[] secret,
                                                      byte[] authenticator,
                                                      boolean addTypesAndPolicy,
                                                      boolean ident)